---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Borders Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Borders.html">Borders</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classtgui_1_1Borders-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Borders Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a67e06fc6b1b8d406b2efb1ed8c1a90c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67e06fc6b1b8d406b2efb1ed8c1a90c2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a67e06fc6b1b8d406b2efb1ed8c1a90c2">Borders</a> (float size=0)</td></tr>
<tr class="memdesc:a67e06fc6b1b8d406b2efb1ed8c1a90c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a67e06fc6b1b8d406b2efb1ed8c1a90c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e2430d451b6078fc68b77db6cfb6208"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a2e2430d451b6078fc68b77db6cfb6208">Borders</a> (float leftBorderWidth, float topBorderHeight, float rightBorderWidth, float bottomBorderHeight)</td></tr>
<tr class="memdesc:a2e2430d451b6078fc68b77db6cfb6208"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that initializes the borders.  <a href="#a2e2430d451b6078fc68b77db6cfb6208">More...</a><br /></td></tr>
<tr class="separator:a2e2430d451b6078fc68b77db6cfb6208"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f7a18ed303b1cf6fdacf56f345bb152"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a6f7a18ed303b1cf6fdacf56f345bb152">Borders</a> (float width, float height)</td></tr>
<tr class="memdesc:a6f7a18ed303b1cf6fdacf56f345bb152"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor that initializes the borders.  <a href="#a6f7a18ed303b1cf6fdacf56f345bb152">More...</a><br /></td></tr>
<tr class="separator:a6f7a18ed303b1cf6fdacf56f345bb152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6c55d9e96b397a480390dc8ea2079d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#ae6c55d9e96b397a480390dc8ea2079d8">operator==</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders) const </td></tr>
<tr class="memdesc:ae6c55d9e96b397a480390dc8ea2079d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare two borders.  <a href="#ae6c55d9e96b397a480390dc8ea2079d8">More...</a><br /></td></tr>
<tr class="separator:ae6c55d9e96b397a480390dc8ea2079d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a51576379a1b6e1b4a2ac1e6324827e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a6a51576379a1b6e1b4a2ac1e6324827e">operator!=</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders) const </td></tr>
<tr class="memdesc:a6a51576379a1b6e1b4a2ac1e6324827e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare two borders.  <a href="#a6a51576379a1b6e1b4a2ac1e6324827e">More...</a><br /></td></tr>
<tr class="separator:a6a51576379a1b6e1b4a2ac1e6324827e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0db2cedc6ef0b5488d604976ec65d2ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0db2cedc6ef0b5488d604976ec65d2ca"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a0db2cedc6ef0b5488d604976ec65d2ca">left</a></td></tr>
<tr class="memdesc:a0db2cedc6ef0b5488d604976ec65d2ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width of the left border. <br /></td></tr>
<tr class="separator:a0db2cedc6ef0b5488d604976ec65d2ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a590a94ae1512a72027b8f2f6a0a43b88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a590a94ae1512a72027b8f2f6a0a43b88"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a590a94ae1512a72027b8f2f6a0a43b88">top</a></td></tr>
<tr class="memdesc:a590a94ae1512a72027b8f2f6a0a43b88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height of the top border. <br /></td></tr>
<tr class="separator:a590a94ae1512a72027b8f2f6a0a43b88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96284882b2e34f7544876a2bd26edb33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96284882b2e34f7544876a2bd26edb33"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a96284882b2e34f7544876a2bd26edb33">right</a></td></tr>
<tr class="memdesc:a96284882b2e34f7544876a2bd26edb33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width of the right border. <br /></td></tr>
<tr class="separator:a96284882b2e34f7544876a2bd26edb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06afa4b92ff533d6cc82cd361b97c836"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06afa4b92ff533d6cc82cd361b97c836"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Borders.html#a06afa4b92ff533d6cc82cd361b97c836">bottom</a></td></tr>
<tr class="memdesc:a06afa4b92ff533d6cc82cd361b97c836"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height of the bottom border. <br /></td></tr>
<tr class="separator:a06afa4b92ff533d6cc82cd361b97c836"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2e2430d451b6078fc68b77db6cfb6208"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Borders::Borders </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>leftBorderWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>topBorderHeight</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rightBorderWidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bottomBorderHeight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor that initializes the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">leftBorderWidth</td><td>Width of the left border </td></tr>
    <tr><td class="paramname">topBorderHeight</td><td>Height of the top border </td></tr>
    <tr><td class="paramname">rightBorderWidth</td><td>Width of the right border </td></tr>
    <tr><td class="paramname">bottomBorderHeight</td><td>Height of the bottom border </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6f7a18ed303b1cf6fdacf56f345bb152"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Borders::Borders </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor that initializes the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Width of the left and right borders </td></tr>
    <tr><td class="paramname">height</td><td>Height of the top and bottom borders </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6a51576379a1b6e1b4a2ac1e6324827e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Borders::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td>
          <td class="paramname"><em>borders</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compare two borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borders</td><td>The borders to compare with this instance</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the borders are equal or not. </dd></dl>

</div>
</div>
<a class="anchor" id="ae6c55d9e96b397a480390dc8ea2079d8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Borders::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;&#160;</td>
          <td class="paramname"><em>borders</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compare two borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">borders</td><td>The borders to compare with this instance</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the borders are equal or not. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Borders_8hpp_source.html">Borders.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
